> ## Documentation Index
> Fetch the complete documentation index at: https://pearsdb.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Users

> List all users connected to your application.



## OpenAPI

````yaml GET /v2/users
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: apps
    description: App Routes
  - name: checkout-sessions
    description: Checkout Session Routes
  - name: disputes
    description: Disputes Routes
  - name: flows
    description: Flow routes
  - name: payments
    description: Payment Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payment-intents
    description: Payment Intent Routes
  - name: payment-methods
    description: Payment Method Routes
  - name: payouts
    description: Payout Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: transactions
    description: Transaction Routes
  - name: transfers
    description: Transfer routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: users
    description: User routes
paths:
  /v2/users:
    parameters: []
    get:
      tags:
        - users
      summary: List all Users
      description: List all users connected to your application.
      operationId: get-users
      parameters:
        - schema:
            type: string
            format: uuid
          in: query
          name: starting_after
          description: >-
            A cursor for use in pagination. `starting_after` is an object ID
            that defines your place in the list. For instance, if you make a
            list request and receive 100 objects, ending with `aaa`, your
            subsequent call can include `starting_after`=`aaa` in order to fetch
            the next page of the list.
        - schema:
            type: integer
          in: query
          name: limit
          description: A limit on the number of objects to be returned, between 1 and 100.
        - schema:
            type: string
            format: uuid
          in: query
          name: ending_before
          description: >-
            A cursor for use in pagination. `ending_before` is an object ID that
            defines your place in the list. For instance, if you make a list
            request and receive 100 objects, ending with `aaa`, your subsequent
            call can include `ending_before`=`aaa` in order to fetch the
            previous page of the list.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: Array of `user` objects.
                    items:
                      $ref: '#/components/schemas/user'
                  has_more:
                    type: boolean
                    description: '`true` if there are more objects.'
        '400':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/user'
                description: The created `user` object.
        '500':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/user'
                description: The created `user` object.
components:
  schemas:
    user:
      type: object
      properties:
        id:
          type: string
          format: uuid
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
          format: email
        phone_number:
          type: object
          properties:
            country_code:
              type: string
            phone_number:
              type: string
        wallet:
          $ref: '#/components/schemas/wallet'
        compliance:
          type: object
          properties:
            tax_id_collected:
              type: boolean
            address_collected:
              type: boolean
            date_of_birth_collected:
              type: boolean
            must_collect_1099:
              type: boolean
            1099_collected:
              type: boolean
            w8_ben_collected:
              type: boolean
            flagged:
              type: boolean
            id_verified:
              type: boolean
        metadata:
          type:
            - string
            - object
            - 'null'
          description: >-
            Set of key-value pairs that you can attach to an object. This can be
            useful for storing additional information about the object in a
            structured format.
    wallet:
      type: object
      properties:
        amount:
          type: integer
        withdrawable_amount:
          type: integer
        credit_balance:
          type: integer
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````